Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QListView.Flow

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QListView.Flow

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QListView

    public static final class QListView.Flow

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QListView.Flow` | `LeftToRight` The items are laid out in the view from the left to the right.
`static QListView.Flow` | `TopToBottom` The items are laid out in the view from the top to the bottom.

Method Summary
`static QListView.Flow` | `resolve(int value)` Returns the QListView$Flow constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QListView.Flow` | `valueOf(java.lang.String name)`
`static QListView.Flow[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LeftToRight

    public static final QListView.Flow LeftToRight

  The items are laid out in the view from the left to the right.

### TopToBottom

    public static final QListView.Flow TopToBottom

  The items are laid out in the view from the top to the bottom.

Method Detail

### values

    public static QListView.Flow[] values()

### valueOf

    public static QListView.Flow valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QListView.Flow resolve(int value)

  Returns the QListView$Flow constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD